/* Reverse style for Savane.
 *
 * Copyright (C) 1999, 2000 The SourceForge Crew
 * Copyright (C) 2000-2006 Mathieu Roy <yeupou--gnu.org>
 * Copyright (C) 2014, 2016, 2017 Assaf Gordon
 * Copyright (C) 2001-2011, 2013, 2017 Sylvain Beucler
 * Copyright (C) 2013, 2014, 2017-2025 Ineiev
 *
 * This file is part of Savane.
 *
 * Code written before 2008-03-30 (commit 8b757b2565ff) is distributed
 * under the terms of the GNU General Public license version 3 or (at your
 * option) any later version; further contributions are covered by
 * the GNU Affero General Public license version 3 or (at your option)
 * any later version.  The license notices for the AGPL and the GPL follow.
 *
 * Savane is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Savane is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Savane is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Savane is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* GUIDELINES VERSION FOLLOWED: 1.18 */

@import "internal/base.css";

/* Very basic (mostly text) items: */

body {
  margin: 0.3em;
  background-color: #676767;
  color: #d8d8d8;
}


a { text-decoration: none; color: #ffffff;}
a:hover { text-decoration: underline; color: #ffdb3d; }
a:active { color: #ff9393; }

.unavailable { font-style: italic; color: #565656; }
.unavailable:hover { font-style: italic; color: #cc1b00; }


/* Titles */

h2 {
	border-top: thin solid #727272;
	border-bottom: thin solid #bcbcbc;
	background-color: #a3a3a3;
}

h4 {
	margin: 1px 1px 1px 1px;
	border-top: thin solid #727272;
	border-bottom: thin solid #bcbcbc;
	background-color: #a3a3a3;
}


.feedback {
	border: thin solid black;
	background-color: #d9ffd6;
	text-align: center;
	color: black;

}

.feedbackerror {
	border: thin solid #871b00;
	background-color: #ffbfaf;
	text-align: center;
	color: #871b00
}

.help {
	text-decoration: underline;
}


.highlight { background-color: #d1c8b3; color: #333333; }

/**********************************************************************
 *
 * Alignment, main tables
 *
 **********************************************************************/

.main {
  background-color: #828282;
  vertical-align: top;
  color: #e8e8e8;
  padding-left: 1%
}


/**********************************************************************
 *
 * Menus
 *
 **********************************************************************/

.tabs { color: #000000; }
.tabselect {  background-color: #000000; color: #d8d8d8; }

ul.topmenuitemsubmenu {
	background-color: #000000;
	color: #d8d8d8;
}

ul.topmenuitemsubmenu li {
	border: none;
	border-bottom: thin solid #4F4F4F;
	border-left: 0.4em solid #4F4F4F;
}

li.topmenuitemsubmenu:hover {
	background-color: #d8d8d8;
	color: black;
	border-left: 0.4em solid #8D8D8D;
}

li.topmenuitemsubmenu a:hover {
	background-color: #d8d8d8;
	color: black;
}


.menu {
  background-color: #000000;
  vertical-align: top;
  font-size: small;
  padding: 0.5em;
}

.menutitle {
  vertical-align: top;
  font-weight: bold;
  text-align: left;
  color: #d8d8d8;
  padding-top: 0;
  margin-top: 3em;
  border-top: thin solid #4F4F4F;
  border-bottom: thin solid #8D8D8D;
}

.menuitem {
  list-style-type: none;
  vertical-align: top;
  text-align: right;
  color: #d8d8d8;
  border-bottom: thin solid #565656;
}

/*
does not cope well with item a being a block
.menuitem:after {
	content: " > ";
} */


/**********************************************************************
 *
 * Boxes
 *
 **********************************************************************/

.boxtitle {
  background-color: #e0ddce;
  font-weight: bold;
  text-align: center;
  color: #000000;
}
.boxtitle a { color: #000000; }
.boxtitle a:hover { color: #917400; }
.boxitem {  background-color: #a3a3a3; text-align: left; color: #333333; }
.boxitemalt { background-color: #969385; text-align: left; color: #333333; }
.boxhighlight { background-color: #d1c8b3; text-align: left; color: #333333; }
.boxoptions { background-color: #969385; text-align: left; color: #333333; }

/* Forms */
button,input
{
  background-color: #a3a3a3;
  color: #ffffff;
}
button:hover,input:hover
{
  color: #ffdb3d;
}
select { background-color: #a3a3a3; color: #ffffff; }
select:hover { color: #ffdb3d; }
textarea { background-color: #a3a3a3; }
textarea:hover { color: #ffdb3d; }
.preinput { }

/* Priorities */

.priora { background-color: #999999; border:0; }
.priorb { background-color: #969696; border:0; }
.priorc { background-color: #898989; border:0; }
.priord { background-color: #7c7c7c; border:0; }
.priore { background-color: #686868; border:0; }
.priorf { background-color: #5b5b5b; border:0; }
.priorg { background-color: #515151; border:0; }
.priorh { background-color: #424242; border:0; }
.priori { background-color: #3a3a3a; border:0; }

.prioraclosed { background-color: #94a589; border:0; }
.priorbclosed { background-color: #8aa07d; border:0; }
.priorcclosed { background-color: #90af7c; border:0; }
.priordclosed { background-color: #88af70; border:0; }
.prioreclosed { background-color: #7caa5f; border:0; }
.priorfclosed { background-color: #587f41; border:0; }
.priorgclosed { background-color: #44682e; border:0; }
.priorhclosed { background-color: #3a5b25; border:0; }
.prioriclosed { background-color: #274217; border:0; }
